package com.company.extendtextfielddemo.component

import io.jmix.flowui.sys.registration.ComponentRegistration
import io.jmix.flowui.sys.registration.ComponentRegistrationBuilder
import org.springframework.context.annotation.Bean
import org.springframework.context.annotation.Configuration

@Configuration
open class ComponentsConfiguration {

    @Bean
    open fun savingTextField(): ComponentRegistration =
        ComponentRegistrationBuilder
            .create(SavingTextField::class.java)
            .withComponentLoader("savingTextField", SavingTextFieldLoader::class.java)
            .build()
}
